Name:           elementary
Version:        1.7.8
Release:        1%{?dist}
Summary:        Basic widget set that is easy to use based on EFL
License:        BSD and GPLv2+
URL:            http://www.enlightenment.org
Source0:        http://download.enlightenment.org/releases/%{name}-%{version}.tar.bz2

BuildRequires: desktop-file-utils
BuildRequires: doxygen
BuildRequires: e_dbus-devel  
BuildRequires: ecore-devel
BuildRequires: edje-devel
BuildRequires: eet-devel
BuildRequires: eeze-devel
BuildRequires: efreet-devel
BuildRequires: eio-devel
BuildRequires: embryo-devel
BuildRequires: emotion-devel
BuildRequires: evas-devel
BuildRequires: evas_generic_loaders
BuildRequires: libeina-devel

%description
Elementary is a widget set. It is a new-style of widget set much more canvas
object based than anything else.

%package devel
Group:          Development/Libraries
Requires:       %{name}%{?_isa} = %{version}-%{release}
Summary:        Stuff

%description devel
Devel packages

%prep
%setup -q

%build
%configure --disable-rpath --disable-doc --disable-static --disable-elementary-test 

make %{?_smp_mflags} V=1


%install
make install DESTDIR=%{buildroot}
find %{buildroot} -name '*.la' -delete
find %{buildroot} -name '*.a' -delete

desktop-file-install                                                                    \
        --delete-original                                                               \
        --dir=%{buildroot}%{_datadir}/applications                                      \
%{buildroot}%{_datadir}/applications/*.desktop


%find_lang %{name}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f %{name}.lang
%doc AUTHORS COPYING README
%{_bindir}/elementary_config
%{_bindir}/elementary_quicklaunch
%{_bindir}/elementary_run
%{_bindir}/elementary_testql
%{_datadir}/elementary
%{_datadir}/icons/elementary.png
%{_libdir}/libelementary.so.*
%{_datadir}/applications/elementary_config.desktop
%{_datadir}/applications/elementary_test.desktop

%files devel
%{_includedir}/elementary-1
%{_libdir}/*.so
%{_libdir}/edje/modules/elm/linux-gnu-x86_64-1.0.0/module.so
%{_libdir}/elementary/modules/access_output/linux-gnu-x86_64-1.7.8/module.so
%{_libdir}/elementary/modules/datetime_input_ctxpopup/linux-gnu-x86_64-1.7.8/module.so
%{_libdir}/elementary/modules/test_entry/linux-gnu-x86_64-1.7.8/module.so
%{_libdir}/elementary/modules/test_map/linux-gnu-x86_64-1.7.8/module.so
%{_libdir}/pkgconfig/elementary.pc

%changelog
* Fri Sep 06 2013 - Dan Mashal <dan.mashal@fedoraproject.org> 1.7.8-1
- Update to 1.7.8
- Pretty up spec file.

* Wed Jan 02 2013 Rahul Sundaram <sundaram@fedoraproject.org> - 1.7.4-1 
- Initial spec
